Skip to main content
GET
/
v1
/
lead-extractor
/
campaigns
/
{id}
/
status
curl -X GET "https://api.sendpilot.ai/v1/lead-extractor/campaigns/camp_abc123xyz/status" \
  -H "X-API-Key: your-api-key"
{
  "id": "camp_abc123xyz",
  "name": "Tech Startup Founders",
  "status": "RUNNING",
  "progress": {
    "extracted": 75,
    "enriched": 70,
    "requested": 100,
    "percent_complete": 75
  },
  "created_at": "2024-02-24T10:30:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendpilot.ai/llms.txt

Use this file to discover all available pages before exploring further.

Returns the current status and progress of a lead extraction campaign.

Request

X-API-Key
string
required
Your API key

Path Parameters

id
string
required
The campaign ID returned from the create campaign endpoint

Response

id
string
Unique identifier for the campaign
name
string
Name of the campaign
status
string
Current status: PENDING, RUNNING, FINISHED, FAILED
progress
object
created_at
string
ISO 8601 timestamp when the campaign was created
curl -X GET "https://api.sendpilot.ai/v1/lead-extractor/campaigns/camp_abc123xyz/status" \
  -H "X-API-Key: your-api-key"
{
  "id": "camp_abc123xyz",
  "name": "Tech Startup Founders",
  "status": "RUNNING",
  "progress": {
    "extracted": 75,
    "enriched": 70,
    "requested": 100,
    "percent_complete": 75
  },
  "created_at": "2024-02-24T10:30:00.000Z"
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

id
string
required

The campaign ID returned from the create campaign endpoint

Response

Campaign status and progress

id
string
required
status
enum<string>
required
Available options:
PENDING,
RUNNING,
FINISHED,
FAILED
name
string
progress
object
created_at
string<date-time>